HTTP_CLIENT_ERROR_RANGE = 400..499
HTTP_SERVER_ERROR_RANGE = 500..599
HTTP_INFORMATIONAL_RANGE = 100..199
HTTP_SUCCESS_RANGE = 200..299

def is_client_err?(code)
  HTTP_CLIENT_ERROR_RANGE === code
end

def is_server_err?(code)

end